<?php   /*   error_reporting(E_ALL); ini_set('display_errors', 1);   */
	include('autoload.php');
	require_once("include/function.php");
	require_once 'googleLib/GoogleAuthenticator.php';
	$ga = new GoogleAuthenticator();
	$secret = $ga->createSecret();
   
	if(!isset($_SESSION['uid'])){
		header("location:login.php");
		exit();
	}
	
	$arrRecord = array();
	$arrError = array();
	$arrRecord = admin::get_user_record_for_device_confirmation();

	if(isset($arrRecord) && is_array($arrRecord) && count($arrRecord)){
		$email = $arrRecord['email'];
		$secret = $arrRecord['google_auth_code'];
	}
	if(isset($_POST['skip'])){
		/* google authentication status change for select skip */
		$arrRecord = admin::google_auth_status_change(2);
		$_SESSION['googleCode'] = TRUE;
		header("location:index.php");
	}
	
	if(isset($_POST['submit'])){
		/* validation check for authentication  */
		$arrError = admin::authentication_error_validation($_POST);
		if(isset($arrError) && is_array($arrError) && count($arrError)==0){
			/* login password check */
			$arrRecords = admin::check_password($_POST['password']);
			if( isset($arrRecords) && is_array($arrRecords)  && count($arrRecords)  == 0) {
				$arrError['password'] = 'Invalid login password';
			}
			$code = $_POST['auth_code'];
			$ga = new GoogleAuthenticator();
			$checkResult = $ga->verifyCode($secret, $code, 2);    // 2 = 2*30sec clock tolerance
			if(empty($checkResult)){
				$arrError['auth_code'] = 'Verification code error.';
			}
			if ($checkResult && count($arrError)==0){
				$arrRecord = admin::google_auth_status_change(1);
				$_SESSION['googleCode'] = $code;
				header("location:index.php");
			}
		}
	}
	
	$ga = new GoogleAuthenticator();
	$qrCodeUrl = $ga->getQRCodeGoogleUrl($email, $secret,'openboxbros');	
?>
<html>
    <head>
        <title>OpenBoxBros | Authenticate </title>
		<?php header_files();?>
		<link rel="stylesheet" href="css/googleAuthentication.css" type="text/css">
    </head>
    
    
    <body class="main_page_body">
        <div class="container-fluid">
            <div class="row header">
                <?php logo_header(); ?>
            </div>
            <?php menubar();?>
            <div class="wrapper">
                <div class="container">                <!-- Page-Title -->
                    <!-- Page-Title -->
                    <div class="row">
                        <div class="col-sm-12">
                            <h3 class="page-title">Enable Google Authenticate</h3>
                        </div>
                    </div>
                    <div class="row MainRowDashboard">
                        <div class="col-sm-12">
							<div class="row">
								<ul>
									<li class="btn btn-default btn-primary step1">1. Download App</li>
									<li class="btn btn-default step2">2. Scan QR Code</li>
									<li class="btn btn-default step3">3. Enable Google Authenticate</li>
								</ul>
								<div class="c-content">
									<form method="POST" action="">
										<div class="c-step1 active" style="display:block;">
											<span class="c-step_font">Step ①</span>
											<div class="step">
												<h4>Download and install the Google Authentication app</h4>
												<a href="https://itunes.apple.com/us/app/google-authenticator/id388497605?mt=8" target="_blank" title="download app"><img src="../img/google_authentication/app_store.png" height=70 width=200 class="c-app_store_img"></a>
												<a href="https://play.google.com/store/apps/details?id=com.google.android.apps.authenticator2" target="_blank" title="download app"><img src="../img/google_authentication/google_play.png" height=63 width=200 class="c-google_play_img"></a>
											</div>
										</div>
										
										<div class="c-step2" style="display:none;">
											<span class="c-step_font">Step ②</span>
											<div class="step">
												<div class="qr_code">
													<center>
													<img src='<?php echo $qrCodeUrl;  ?>' class="c-qrc" />
													<span>Scan this QR code in the Google Authentication app</span>
													</center>
												</div>
											</div>
										</div>
										
										<div class="c-step3" style="display:none;">
											<span class="c-step_font">Step ③</span>
											<div class="step">
												<div class="form-group row">
													<div class="col-md-8 col-md-offset-0">
														<div class="col-md-5">
															<label for="password">Login Password:</label>
														</div>
														<div class="col-md-7">
															<input type="password" class="form-control" name="password" value="" id="password">
															<span class="c-error"><?php if(isset($arrError['password']) && !empty($arrError['password'])){ echo $arrError['password']; }?></span>
														</div>
													</div>
												</div>
												<div class="form-group row">
													<div class="col-md-8 col-md-offset-0">
														<div class="col-md-5">
															<label for="auth_code">Google Authentication Code: </label>
														</div>
														<div class="col-md-7">
															<input type="text" class="form-control" name="auth_code" id="auth_code">
															<span class="c-error"><?php if(isset($arrError['auth_code']) && !empty($arrError['auth_code'])){ echo $arrError['auth_code']; }?></span>
														</div>
													</div>
												</div>
											</div>
										</div>
										<hr>
										<div class="row">
											<div class="col-md-2">
												<button type="button" name="previous" style="display:none;" class="previous btn btn-default" value="previous">Prev Step</button>
												<button type="submit" name="skip" class="skip btn btn-default" value="skip" onClick="return confirm('Are you sure skip google authentication.');">Skip</button>
											</div>
											<div class="col-md-4 col-md-offset-6">
												<div class="next_btn">
													<span class="span_msg">I have installed the app</span>
													<button type="button" name="submit" class="next btn btn-primary" value="next">Next Step</button>
												</div>
											</div>
										</div>
									</form>	
								</div>
							</div>
						</div>
					</div>
					<!-- Footer -->
					  <?php footer();?>
					<!-- End Footer -->
				</div>
			</div>
		</div>

        

        <!-- jQuery  -->
        <script src="assets/js/jquery.min.js"></script>
        <script src="assets/js/tether.min.js"></script><!-- Tether for Bootstrap -->
        <script src="assets/js/bootstrap.min.js"></script>
        <script src="assets/js/waves.js"></script>
        <script src="assets/js/jquery.nicescroll.js"></script>
        <script src="assets/plugins/switchery/switchery.min.js"></script>

        <!-- App js -->
        <script src="assets/js/jquery.core.js"></script>
        <script src="assets/js/jquery.app.js"></script>
		<script src="assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>
		<script>
            $(document).ready(function(){
				var _previous = $('.previous');
				var _next = $('.next');
				var _skip = $('.skip');
				var _span_msg = $('.span_msg');
				<?php
				if(isset($arrError) && is_array($arrError) && count($arrError)){ ?>
					$('.c-step3').show().addClass('active');
					$('.c-step1, .c-step2').hide().removeClass('active');
					_next.text('Enable Google Authenticate').attr('type','submit');
					$('.step3').addClass('btn-primary').siblings().removeClass('btn-primary');
					_span_msg.text('');
					_previous.show();
					_skip.hide().attr('type','button');
				<?php } ?>
				
				_next.click(function(){
					_previous.show();
					if($('.c-step1').hasClass('active')){
						$('.c-step1').hide().removeClass('active');
						$('.c-step2').show().addClass('active');
						$('.step2').addClass('btn-primary').siblings().removeClass('btn-primary');
						_span_msg.text('I have scanned the QR code');
						_skip.hide().attr('type','button');
					}else if($('.c-step2').hasClass('active')){
						$('.c-step2').hide().removeClass('active');
						$('.c-step3').show().addClass('active');
						_next.text('Enable Google Authenticate').attr('type','submit');
						$('.step3').addClass('btn-primary').siblings().removeClass('btn-primary');
						_span_msg.text('');
						return false;
					}
				});
				_previous.click(function(){
					_next.text('Next Step').attr('type','button');
					if($('.c-step2').hasClass('active')){
						$('.c-step2').hide().removeClass('active');
						$('.c-step1').show().addClass('active');
						_previous.hide();
						_skip.show().attr('type','submit');
						$('.step1').addClass('btn-primary').siblings().removeClass('btn-primary');
						_span_msg.text('I have installed the app');
					}else if($('.c-step3').hasClass('active')){
						$('.c-step3').hide().removeClass('active');
						$('.c-step2').show().addClass('active');
						$('.step2').addClass('btn-primary').siblings().removeClass('btn-primary');
						_span_msg.text('I have scanned the QR code');
					}
				});
				$('.step1').click(function(){
					_previous.hide();
					_next.text('Next Step').attr('type','button');
					$('.c-step1').show().addClass('active');
					$('.c-step2,.c-step3').hide().removeClass('active');
					$(this).addClass('btn-primary').siblings().removeClass('btn-primary');
					_span_msg.text('I have installed the app');
					_skip.show().attr('type','submit');
				});
				$('.step2').click(function(){
					_previous.show();
					_next.text('Next Step').attr('type','button');
					$('.c-step2').show().addClass('active');
					$(this).addClass('btn-primary').siblings().removeClass('btn-primary');
					$('.c-step1,.c-step3').hide().removeClass('active');
					_span_msg.text('I have scanned the QR code');
					_skip.hide().attr('type','button');
				});
				$('.step3').click(function(){
					_previous.show();
					$('.c-step3').show().addClass('active');
					$('.c-step1,.c-step2').hide().removeClass('active');
					_next.text('Enable Google Authenticate').attr('type','submit');
					$(this).addClass('btn-primary').siblings().removeClass('btn-primary');
					_span_msg.text('');
					_skip.hide().attr('type','button');
				});
			});
        </script>
    </body>
</html>
