<?php
	
	include('autoload.php');
	require_once("include/function.php");
	
	if(!isset($_SESSION['uid'])){
		header("location:login.php");
		exit();
	}
	user_permission::check_permission('invoice_list', true);

	
	if(isset($_GET['mode']) && $_GET['mode'] == 'delete' && isset($_GET['uid']) && $_GET['uid'] > 0){
		user_permission::check_permission('invoice_delete', true);

		$userlog = userlog::events('invoice_delete');
		if(isset($_SESSION['access_level']) && $_SESSION['access_level'] != 'user') {
			invoice::delete_record($_GET['uid']);
			$_SESSION['sess_succ'] = 'Invoice deleted successfully.';
			echo '<meta http-equiv="refresh" content="0;url=invoice_list.php">';
			exit();
		} else {
			$_SESSION['sess_succ']= 'you have no permission to delete invoice.';
			echo '<meta http-equiv="refresh" content="0;url=invoice_list.php">';
			exit();
		}
	}
	$userlog =0;
    $userlog = userlog::events('invoice_list');
	
	$total_records_found = 0;
	$total_records_found = invoice::get_total_count();
	
	$pagination = new pagination();
	$pagination->total = $total_records_found;
	$pagination->paginate();

	$Allrecords = array();
	$Allrecords = invoice::get_all_record($pagination->limit);
	
	
?>
<html>
<head>
	<title>OpenBoxBros | Dashboard | Invoice List</title>
	<?php header_files();?>
	
	
</head>

<body class="main_page_body">
	
		<div class="row header">
		<?php logo_header();?>
		</div>
		<?php menubar();?>
		<div class="wrapper">
			<div class="container">
				<div class="row">
					<div class="col-sm-12">
						<h4 class="page-title">List Invoice</h4>
					</div>
				</div>
			</div>
			
			<div class="container">
				<?php
				if(isset($_SESSION['sess_succ']) && !empty($_SESSION['sess_succ'])) {
					echo success($_SESSION['sess_succ']);
					unset($_SESSION['sess_succ']);
				}
				?>
				<div class="row">
					<div class="col-sm-12">
						<div class="card-box">
							<table class="table">
								<tr>
									<th>Sr. No.</th>
									<th>Bill</th>
									<th>Date</th>
									<th>Invoice Number</th>
									<th>Invoice Amount</th>
									<th>Action</th>
								</tr>
								<?php
								if(isset($Allrecords) && is_array($Allrecords) && count($Allrecords)) {
									$counter = 1;
									foreach($Allrecords as $records) {
										?>
										<tr>
											<td><?php echo $counter; ?></td>
											<td><?php echo $records['bill_to']; ?></td>
											<td><?php echo date_formate($records['invoice_date']); ?></td>
											<td><?php echo $records['invoice_number']; ?></td>
											<td><?php echo '$'.$records['final_total']; ?></td>
											
											<td>
											<?php if(user_permission::check_permission('invoice_edit')){ ?>
												<a href="javascript:0" data-original-title="Edit invoice" data-toggle="tooltip"><span class="m-l-5"><i class="fa fa-edit"></i></span></a>
											<?php } ?>
											<?php if(user_permission::check_permission('invoice_delete')){ ?>		
                                                
												<a href="invoice_list.php?mode=delete&uid=<?php echo $records['uid'];?>" onclick="return confirm('Are you sure Do you want to delete record?')" data-original-title="Delete Invoice" data-toggle="tooltip"><span class="m-l-5"><i class="zmdi zmdi-delete"></i></span></a>
											<?php } ?>
											</td>
										</tr>
										<?php
										$counter++;
									}
								}
								?>
							</table>
							<center>
								<?php
								if(isset($pagination)) {
									echo $pagination->pageNumbers();
								}
								?>
							</center>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-sm-12">
					<?php if(user_permission::check_permission('invoice_create')){ ?>
						<a href="invoice.php" class="btn btn-primary" >Create New Invoice</a>
					<?php } ?>
					</div>
				</div>
				
				<!-- Footer -->
				<?php footer();?>
			</div>
		</div>
		<script>
			var resizefunc = [];
		</script>
		<!-- jQuery  -->
		<script src="assets/js/jquery.min.js"></script>
		<script src="assets/js/tether.min.js"></script><!-- Tether for Bootstrap -->
		<script src="assets/js/bootstrap.min.js"></script>
		<script src="assets/js/waves.js"></script>
		<script src="assets/js/jquery.nicescroll.js"></script>
		<script src="assets/plugins/switchery/switchery.min.js"></script>
		<!-- App js -->
		<script src="assets/js/jquery.core.js"></script>
		<script src="assets/js/jquery.app.js"></script>
		
		<script>
			
		</script>
		
</body>
</html>
