<?php

class model {
	
	public static function getRecords($limit=20) {
		$arrRecords = array();
		if(isset($limit) && is_numeric($limit) && $limit > 0) {
			$query = "SELECT * FROM `".get_called_class()."` LIMIT 0,$limit";
		} else {
			$query = "SELECT * FROM `".get_called_class()."`";
		}
		
		$run = db::query( $query );
		if( $run && $run->num_rows ) {
			while( $row = $run->fetch_assoc() ) {
				$arrRecords[] = $row;
			}
		}
		return $arrRecords;
	}
	
	
	public static function get_record($uid=null, $arrFields=array()){
		$sqlFields = array();
		$arrRow = array();

		foreach($arrFields as $field) {
			$sqlFields[] = "`".db::escape($field)."`";
		}
		$sql_fields = "*";
		if(is_array( $sqlFields ) && count($sqlFields)) {
			$sql_fields = implode(", ", $sqlFields);
		}
		$query	= "SELECT * FROM `".get_called_class()."` WHERE `uid`='".$uid."' LIMIT 0,1";
		$result = db::query($query);
		if( $result && $result->num_rows ) {
			while($row = $result->fetch_assoc()){
				$arrRow = $row;
			}
		}
		return $arrRow;
	}
	
	public static function delete_record($uid=null){
		$query	= "DELETE FROM `".get_called_class()."` WHERE `uid`='".$uid."' LIMIT 1"; 
		/*$result = db::query($query);*/
		return db::query($query);
	}
	
	public static function create_record ( $arrData = array() ) {

		$query	= "INSERT INTO `".get_called_class()."` (";

		$fields = array_keys($arrData);
		$values = array_values($arrData);

		$sqlFields = array();
		$sqlValues = array();

		foreach($fields as $field) {
			$sqlFields[] = "`".db::escape($field)."`";
		}
		foreach($values as $value) {
			$sqlValues[] = "'".db::escape($value)."'";
		}

		$query.= implode(", ", $sqlFields);
		$query.= ") VALUES (";
		$query.= implode(", ", $sqlValues);
		$query.= ")";
		
		
		return (null !== ($uid = db::insert( $query ))) ? $uid : false;
	}
	
	
	
	public static function update_record ( $arrData = array(), $arrWhereAnd = array(), $arrWhereOR = array(), $limit_one = true , $arrWhereIn = array() ) {

		$query	= "UPDATE `".get_called_class()."` SET ";

		$sqlFields = array();
		$sqlWhereAnd = array();
		$sqlWhereOR = array();

		foreach($arrData as $field => $value) {
			$sqlFields[] = "`".db::escape($field)."` = '".db::escape($value)."'";
		}

		foreach($arrWhereAnd as $field => $value) {
			$sqlWhereAnd[] = "`".db::escape($field)."` = '".db::escape($value)."'";
		}

		foreach($arrWhereOR as $field => $value) {
			$sqlWhereOR[] = "`".db::escape($field)."` = '".db::escape($value)."'";
		}
				
				foreach($arrWhereIn as $field => $value) {
			$sqlWhereAnd[] = "`".db::escape($field)."` IN ( ".db::escape($value)." )";
		}

		$query.= implode(", ", $sqlFields);
		if((is_array($sqlWhereAnd) && count($sqlWhereAnd)) || (is_array($sqlWhereOR) && count($sqlWhereOR)) ) {
			$query.= "WHERE ";
		}
		if(is_array($sqlWhereAnd) && count($sqlWhereAnd)) {
			$query.= implode("AND ", $sqlWhereAnd);
		}
		if(is_array($sqlWhereOR) && count($sqlWhereOR)) {
			$query.= "AND (";
			$query.= implode("OR ", $sqlWhereOR);
			$query.= " )";
		}
		if($limit_one) {
			$query.= "LIMIT 1";
		}
		return db::query( $query );
	}
}

?>