<?php
	 class category extends model {

	/******************CHECK VALIDATION *******************/
		public static function validation($p = array(),$f = array(),$modeEdit = false)	{
			$arrError = array();			

			if(isset($p['name']) && empty($p['name']) || !isset($p['name'])){
				$arrError['name'] = "<p>Please Enter Name</p>";
			}
			if(isset($p['meta_title']) && empty($p['meta_title']) || !isset($p['meta_title'])){
				$arrError['meta_title'] = "<p>Please Enter Meta Title</p>";
			}
			if(isset($p['meta_description']) && empty($p['meta_description']) || !isset($p['meta_description'])){
			   $arrError['meta_description'] = "<p>Please Enter Meta Description</p>";
			}
			if(isset($p['meta_keywords']) && empty($p['meta_keywords']) || !isset($p['meta_keywords'])){
			   $arrError['meta_keywords'] = "<p>Please Enter Meta Keywords</p>";
			}		
			if( (isset($_FILES['image']) && empty($_FILES['image']['name'])) || !isset($_FILES['image'])){
				if($modeEdit == false) {
					$arrError['up_image'] = "<p>Please upload image</p>";
				}
			} else if ( isset($_FILES['image']) && !empty($_FILES['image']['name']) ) {
				/* if file uploaded by user then if uploaded file is not image that show error */
				$filename = $_FILES['image']['name'];
				if( category::is_valid_image_file( $filename )  == false ) {
					$arrError['up_image'] = "<p>Please upload valid image file for category image</p>";
				}
			}
			
			return $arrError;
		}

	/******** GET COUNT FOR ADMIN *********/
		public static function get_total_count() {
			$count = '';
			
			$query = " SELECT count(uid) AS ID FROM `category`";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				$row = $result->fetch_assoc();
					$count = $row['ID'];
			}
			return $count;
		}
		
	/**********************GET ALL RECORDS FOR ADMIN ***********************/
		public static function get_all_records($limit){
			 $arrRecord = array();
			
			  if(isset($_GET['search']) && !empty($_GET['search'])){
				$query ="SELECT * FROM `category` WHERE name LIKE '%".db::escape($_GET['search'])."%' LIMIT $limit"; 
             }else{
				$query ="SELECT * FROM`category` LIMIT $limit";
             }
            
            
			 $result = db::query($query);
			if( $result && $result->num_rows ) {
				while($row = $result->fetch_assoc()){
					 $arrRecord[] = $row;
				}
			}

		
			return $arrRecord;
		

	}
//=======================CATEGORY SLUG ===========================//
	public static function slugify($text){
        $text = preg_replace('~[^\pL\d]+~u', '-', $text);
        $text = iconv('utf-8', 'us-ascii//TRANSLIT', $text);
        $text = preg_replace('~[^-\w]+~', '', $text);
        $text = trim($text, '-');
        $text = preg_replace('~-+~', '-', $text);
        $text = strtolower($text);
        if (empty($text)) { return 'n-a'; }
        return $text;
    }

//=======================CATEGORY VALID IMAGE UPLOAD ===========================//
	 public static function is_valid_image_file ( $filename = "" ) {
			$result = false;
			if(isset($filename) && !empty($filename)) {
				
				$extensions = array("jpg","jpeg","gif","png");
				
				$find_ext = explode(".",$filename);
				$reverse = array_reverse($find_ext);
				$ext = strtolower($reverse[0]);
				if(in_array($ext,$extensions)){
					$result = true;
				}
			}
			return $result;
		}
	//=======================CATEGORY IMAGE UPLOAD ===========================//
		public static function uploadfile( $uploadFileIndex = "" ) {
			$uploadedFileName =  "";
			if( isset($_FILES[$uploadFileIndex]) && !empty($_FILES[$uploadFileIndex]['name']) ) {

				$extensions = array("jpg","jpeg","gif","png");
				$find_ext = explode(".",$_FILES[$uploadFileIndex]['name']);
				$reverse = array_reverse($find_ext);
				$ext = strtolower($reverse[0]);
				if(in_array($ext,$extensions)){
					$source=$_FILES[$uploadFileIndex]['tmp_name'];
					$file_name = time().$_FILES[$uploadFileIndex]['name'];
					$destination='../img/category/'.$file_name;
					$uploadedFileName = $file_name;
					move_uploaded_file($source,$destination);
				}
			}
			return $uploadedFileName;
		}
		
		
	//=======================CATEGORY EDIT IMAGE UPLOAD ===========================//
		public static function Edit_category_image_upload($f = array()){
			
			$arrFiles = array();
			$time = time();
			if(isset($f['filetoupload']['name']) && $f['filetoupload']['name']!=""){
				$extensions = array("jpg","jpeg","gif","png");
				$find_ext = explode(".",$f['filetoupload']['name']);
				$reverse = array_reverse($find_ext);
				$ext = strtolower($reverse[0]);
				if(in_array($ext,$extensions)){
					$source=$f['filetoupload']['tmp_name'];
					$destination='../img/category/'.$time.$f['filetoupload']['name'];
					$image = $time.$f['filetoupload']['name'];
					move_uploaded_file($source,$destination);
					$arrFiles['image'] = $image;
				} else {
					$arrFiles['not_image'] = "<p>Please upload Image File Only ! </p>";
				}
			}
			return $arrFiles;
		}	
/**********************GET ALL RECORDS FOR ADMIN ***********************/
		public static function get_all_categorie_records(){
			 $arrRecord = array();
			
			 $query ="SELECT * FROM `category`";
			 $result = db::query($query);
				if( $result && $result->num_rows ) {
					while($row = $result->fetch_assoc()){
						 $arrRecord[] = $row;
					}
				}

		
			return $arrRecord;
		

	}

//==================PAGE RECORD DELETE CHECK======================//
        public static function delete_by_record($uid){
			
			$query	= "DELETE FROM `category` WHERE `uid` = ".db::escape($uid)." ";
			$result = db::query($query);
			header("location:category_list.php?mode=del");
		}


/**********************EDIT CATEGORY FOR ADMIN ***********************/
		public static function edit_by_record($uid = 0){
			$arrRecord = array();
			
			$query = " SELECT * FROM `category` WHERE `uid` = ".db::escape($uid)." LIMIT 0,1";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				$row = $result->fetch_assoc();
					$arrRecord = $row;
			}
			return $arrRecord;
		}
		
		/******************CHECK VALIDATION *******************/
		public static function validation_update($p = array(), $f = array(), $modeEdit = false)	{
			$arrError = array();			
			

			if(isset($p['name']) && empty($p['name']) || !isset($p['name'])){
				$arrError['name'] = "<p>Please Enter Name</p>";
			}
			if(isset($p['meta_title']) && empty($p['meta_title']) || !isset($p['meta_title'])){
				$arrError['meta_title'] = "<p>Please Enter Meta Title</p>";
			}
			if(isset($p['meta_description']) && empty($p['meta_description']) || !isset($p['meta_description'])){
			   $arrError['meta_description'] = "<p>Please Enter Meta Description</p>";
			}
			if(isset($p['meta_keywords']) && empty($p['meta_keywords']) || !isset($p['meta_keywords'])){
			   $arrError['meta_keywords'] = "<p>Please Enter Meta Keywords</p>";
			}				
			if( (isset($_FILES['image']) && empty($_FILES['image']['name'])) || !isset($_FILES['image'])){
				if($modeEdit == false) {
					$arrError['up_image'] = "<p>Please upload image</p>";
				}
			} else if ( isset($_FILES['image']) && !empty($_FILES['image']['name']) ) {
				/* if file uploaded by user then if uploaded file is not image that show error */
				$filename = $_FILES['image']['name'];
				if( category::is_valid_image_file( $filename )  == false ) {
					$arrError['up_image'] = "<p>Please upload valid image file for category image</p>";
				}
			}
						if( (isset($_FILES['image2']) && empty($_FILES['image2']['name'])) || !isset($_FILES['image2'])){
				if($modeEdit == false) {
					$arrError['image2'] = "<p>Please upload image</p>";
				}
			} else if ( isset($_FILES['image2']) && !empty($_FILES['image2']['name']) ) {
				/* if file uploaded by user then if uploaded file is not image that show error */
				$filename = $_FILES['image2']['name'];
				if( category::is_valid_image_file( $filename )  == false ) {
					$arrError['image2'] = "<p>Please upload valid image file for category image</p>";
				}
			}
			if( (isset($_FILES['image3']) && empty($_FILES['image3']['name'])) || !isset($_FILES['image3'])){
				if($modeEdit == false) {
					$arrError['image3'] = "<p>Please upload image</p>";
				}
			} else if ( isset($_FILES['image3']) && !empty($_FILES['image3']['name']) ) {
				/* if file uploaded by user then if uploaded file is not image that show error */
				$filename = $_FILES['image3']['name'];
				if( category::is_valid_image_file( $filename )  == false ) {
					$arrError['image3'] = "<p>Please upload valid image file for category image</p>";
				}
			}
			if( (isset($_FILES['image4']) && empty($_FILES['image4']['name'])) || !isset($_FILES['image4'])){
				if($modeEdit == false) {
					$arrError['image4'] = "<p>Please upload image</p>";
				}
			} else if ( isset($_FILES['image4']) && !empty($_FILES['image4']['name']) ) {
				/* if file uploaded by user then if uploaded file is not image that show error */
				$filename = $_FILES['image4']['name'];
				if( category::is_valid_image_file( $filename )  == false ) {
					$arrError['image4'] = "<p>Please upload valid image file for category image</p>";
				}
			}	
	
			return $arrError;
		}


























  	}
  	?>