<?php
	class e_documents extends model {				
		/****************** Check create new e-document VALIDATION *******************/
		public static function validation($p = array())	{
			$arrError = array();
		
			if(isset($p['subject']) && empty($p['subject']) || !isset($p['subject'])){
			   $arrError['subject'] = "<p>Please enter subject</p>";
			}
			if(isset($p['content']) && empty($p['content']) || !isset($p['content'])){
			   $arrError['content'] = "<p>Please enter content</p>";
			}
			if(isset($p['user_email']) && empty($p['user_email']) || !isset($p['user_email'])){
			   $arrError['user_email'] = "<p>Please enter user email</p>";
			}else if(!filter_var($p['user_email'],FILTER_VALIDATE_EMAIL)){
				$arrError['user_email']= "Email must be valid... This is wrong : ".$p['user_email'];
			}
			if(!isset($p['signature_field'])){
			   $arrError['signature_field'] = "<p>Please select at least one signature field</p>";
			}
		

			
		   return $arrError;
		}
		/****************** admin submitted e-document edit then check VALIDATION *******************/
		public static function validation_edit_submittd($p = array())	{
			$arrError = array();
		
			if(isset($p['comment']) && empty($p['comment']) || !isset($p['comment'])){
			   $arrError['comment'] = "<p>Please enter comment</p>";
			}
			if(isset($p['status']) && empty($p['status']) || !isset($p['status'])){
			   $arrError['status'] = "<p>Please enter user email</p>";
			}
		

			
		   return $arrError;
		}
		/******** GET COUNT FOR all e-document record *********/
		public static function get_total_count() {
			$count = '';
			$query = " SELECT count(uid) AS ID FROM `e_documents`";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				$row = $result->fetch_assoc();
					$count = $row['ID'];
			}
			return $count;
		}
		
		
		/********************** Get all pending record  FOR ADMIN ***********************/
		public static function admin_get_all_pending_record(){
			$arrRecord = array();
			$query ="SELECT * FROM `e_documents` WHERE (`status`='pending' || `status`='draft' ) ";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				while($row = $result->fetch_assoc()){
					 $arrRecord[] = $row;
				}
			}
			return $arrRecord;
		}
		/**********************Get all submitted record for ADMIN ***********************/
		public static function admin_get_all_submitted_record(){
			$arrRecord = array();
			$query ="SELECT * FROM `e_documents` WHERE `status`='submitted'";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				while($row = $result->fetch_assoc()){
					 $arrRecord[] = $row;
				}
			}
			return $arrRecord;
		}
		/**********************Get all completed record FOR ADMIN ***********************/
		public static function admin_get_all_completed_record(){
			$arrRecord = array();
			$query ="SELECT * FROM `e_documents` WHERE `status`='completed'";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				while($row = $result->fetch_assoc()){
					 $arrRecord[] = $row;
				}
			}
			return $arrRecord;
		}
		/**********************Get all reopen record FOR ADMIN ***********************/
		public static function admin_get_all_reopen_record(){
			$arrRecord = array();
			$query ="SELECT * FROM `e_documents` WHERE `status`='reopen'";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				while($row = $result->fetch_assoc()){
					 $arrRecord[] = $row;
				}
			}
			return $arrRecord;
		}		
		
		/**********************GET ALL DRAFT RECORD FOR ADMIN ***********************/
		public static function admin_get_all_draft_record(){
			$arrRecord = array();
			$query ="SELECT * FROM `e_documents` WHERE `draft`='save'";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				while($row = $result->fetch_assoc()){
					 $arrRecord[] = $row;
				}
			}
			return $arrRecord;
		}
		
		/**********************count no of all status for front end ***********************/
		public static function admin_get_all_record_document_count(){
			$arrRecord = array();
			$query ="SELECT COUNT(ED.`uid`)AS total, ED.`status` FROM `e_documents` AS ED, `admin` AS A WHERE  A.`uid` = ".$_SESSION['uid']." GROUP BY ED.`status`";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				while($row = $result->fetch_assoc()){
					 $arrRecord[$row['status']] = $row['total'];
				}
			}
			return $arrRecord;
		}
		
		/**********************count no of all status for front end ***********************/
		public static function user_get_all_record_document_count(){
			$arrRecord = array();
			$query ="SELECT COUNT(ED.`uid`)AS total, ED.`status` FROM `e_documents` AS ED, `user` AS U WHERE ED.user_email = U.email AND U.`uid` = ".$_SESSION['user_uid']." GROUP BY ED.`status`";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				while($row = $result->fetch_assoc()){
					 $arrRecord[$row['status']] = $row['total'];
				}
			}
			return $arrRecord;
		}
		
		/**********************GET SUBMITTED RECORD FOR ADMIN ***********************/
		public static function admin_view_record_document_submitted_mail($slug=0){
			$arrRecord = array();
			$query ="SELECT * FROM `e_documents` WHERE `slug` = '".db::escape($slug)."' AND `status`='submitted' LIMIT 0,1";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				$row = $result->fetch_assoc();
				$arrRecord = $row;
			}
			return $arrRecord;
		}
		/**********************GET PENDING RECORD FOR ADMIN ***********************/
		public static function admin_view_record_document_pending($uid=0){
			$arrRecord = array();
			$query ="SELECT * FROM `e_documents` WHERE `uid` = ".db::escape($uid)." AND (`status`='pending' || `status`='draft' ) LIMIT 0,1";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				$row = $result->fetch_assoc();
				$arrRecord = $row;
			}
			return $arrRecord;
		}
		/**********************GET SUBMITTED RECORD FOR ADMIN ***********************/
		public static function admin_view_record_document_submitted($uid=0){
			$arrRecord = array();
			$query ="SELECT * FROM `e_documents` WHERE `uid` = ".db::escape($uid)." AND `status`='submitted' LIMIT 0,1";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				$row = $result->fetch_assoc();
				$arrRecord = $row;
			}
			return $arrRecord;
		}
		/**********************GET COMPLETED RECORD FOR ADMIN ***********************/
		public static function admin_view_record_document_completed($uid=0){
			$arrRecord = array();
			$query ="SELECT * FROM `e_documents` WHERE `uid` = ".db::escape($uid)." AND `status`='completed' LIMIT 0,1";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				$row = $result->fetch_assoc();
				$arrRecord = $row;
			}
			return $arrRecord;
		}
		
		/**********************GET REOPEN RECORD FOR ADMIN ***********************/
		public static function admin_view_record_document_reopen($uid=0){
			$arrRecord = array();
			$query ="SELECT * FROM `e_documents` WHERE `uid` = ".db::escape($uid)." AND `status`='reopen' LIMIT 0,1";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				$row = $result->fetch_assoc();
				$arrRecord = $row;
			}
			return $arrRecord;
		}
		/**********************GET DRAFT RECORD FOR ADMIN ***********************/
		public static function admin_view_draft_document_record($uid=0){
			$arrRecord = array();
			$query ="SELECT * FROM `e_documents` WHERE `uid` = ".db::escape($uid)." AND `draft`='save' LIMIT 0,1";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				$row = $result->fetch_assoc();
				$arrRecord = $row;
			}
			return $arrRecord;
		}
		
		//==================PAGE RECORD DELETE CHECK======================//
		public static function delete_by_record($uid){
			$query	= "DELETE FROM `e_documents` WHERE `uid` = ".db::escape($uid)." ";
			$result = db::query($query);
			header("location:e_document_list.php?mode=del");
		}
		/********************** FOR ADMIN ***********************/
		public static function edit_by_record($uid = 0){
			$arrRecord = array();
			$query = "SELECT * FROM `e_documents` WHERE `uid` = ".db::escape($uid)." LIMIT 0,1";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				$row = $result->fetch_assoc();
					$arrRecord = $row;
			}
			return $arrRecord;
		}
		
		/****************** image upload in folder site directory and return name of file *******************/
		public static function uploadfile_image( $file_name = "", $source = "" ) {
			$uploadedFileName =  "";
			if( isset($file_name) && !empty($file_name) ) {

				$extensions = array("jpg","jpeg","gif","png","pdf","doc","docx");
				$find_ext = explode(".",$file_name);
				$reverse = array_reverse($find_ext);
				$ext = strtolower($reverse[0]);
				if(in_array($ext,$extensions)){
					$file_name = time()."attachment_file.".$ext;
					$destination='../img/e_document/attachment_file/'.$file_name;
					$uploadedFileName = $file_name;
					move_uploaded_file($source,$destination);
				}
			}
			return $uploadedFileName;
		}
	
		/********************** Get all pending record FOR user ***********************/
		public static function user_get_all_pending_record($user_uid = 0){
			$arrRecord = array();
			$query ="SELECT ED.* FROM `e_documents` AS ED,`user` WHERE ED.`status`= 'pending' AND ED.user_email = user.email AND `user`.`uid` = $user_uid";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				while($row = $result->fetch_assoc()){
					 $arrRecord[] = $row;
				}
			}
			return $arrRecord;
		}
		
		/**********************Get all reopen record FOR user ***********************/
		public static function user_get_all_reopen_record($user_uid = 0){
			$arrRecord = array();
			$query ="SELECT ED.* FROM `e_documents` AS ED,`user` WHERE ED.`status`= 'reopen' AND ED.user_email = user.email AND `user`.`uid` = $user_uid";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				while($row = $result->fetch_assoc()){
					 $arrRecord[] = $row;
				}
			}
			return $arrRecord;
		}
		/**********************EGet all SUBMITTED record FOR user***********************/
		public static function user_get_all_submitted_record($user_uid = 0){
			$arrRecord = array();
			$query ="SELECT ED.* FROM `e_documents` AS ED,`user` WHERE ED.`status`= 'submitted' AND ED.user_email = user.email AND `user`.`uid` = $user_uid";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				while($row = $result->fetch_assoc()){
					 $arrRecord[] = $row;
				}
			}
			return $arrRecord;
		}
		/**********************Get all completed record FOR user ***********************/
		public static function user_get_all_completed_record($user_uid = 0){
			$arrRecord = array();
			$query ="SELECT ED.* FROM `e_documents` AS ED,`user` WHERE ED.`status`= 'completed' AND ED.user_email = user.email AND `user`.`uid` = $user_uid";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				while($row = $result->fetch_assoc()){
					 $arrRecord[] = $row;
				}
			}
			return $arrRecord;
		}
		
		/********************** user get record pending document ***********************/
		public static function user_record_view_document($uid = 0, $slug = ''){
			$arrRecord = array();
			$query ="SELECT ED.*, A.`email` AS admin_email FROM `e_documents` AS ED,`user` AS U,`admin` AS A WHERE ( ED.`uid` = $uid || (ED.`slug` = '$slug' AND U.`uid` = ".$_SESSION['user_uid']." )) AND `status`='pending' AND ED.user_email = U.email AND ED.admin_uid = A.`uid`";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				$row = $result->fetch_assoc();
				$arrRecord = $row;
				if($row['viewed']==0){
					db::query( "UPDATE `e_documents` SET `viewed`= 1 WHERE `uid` =".$row['uid']." LIMIT 1" );
				}
			}
			
			return $arrRecord;
		}
		/********************** User get record for reject record ***********************/
		public static function user_record_reopen_document($uid = 0, $slug = ''){
			$arrRecord = array();
			$query ="SELECT ED.*, A.`email` AS admin_email FROM `e_documents` AS ED,`user` AS U,`admin` AS A WHERE ( ED.`uid` = $uid || (ED.`slug` = '$slug' AND U.`uid` = ".$_SESSION['user_uid']." )) AND ED.user_email = U.email AND ED.admin_uid = A.`uid`";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				$row = $result->fetch_assoc();
				$arrRecord = $row;
			}
			
			return $arrRecord;
		}
		/********************** User get record for submit record ***********************/
		public static function user_record_submit_document($uid = 0){
			$arrRecord = array();
			$query ="SELECT ED.*, A.`email` AS admin_email FROM `e_documents` AS ED,`user` AS U,`admin` AS A WHERE  ED.`uid` = $uid  AND ED.user_email = U.email";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				$row = $result->fetch_assoc();
				$arrRecord = $row;
			}
			
			return $arrRecord;
		}
		/********************** User get record for submit record ***********************/
		public static function user_record_complete_document($uid = 0, $slug = ''){
			$arrRecord = array();
			$query ="SELECT ED.*, A.`email` AS admin_email FROM `e_documents` AS ED,`user` AS U,`admin` AS A WHERE ( ED.`uid` = $uid || (ED.`slug` = '$slug' AND U.`uid` = ".$_SESSION['user_uid']." )) AND ED.user_email = U.email";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				$row = $result->fetch_assoc();
				$arrRecord = $row;
			}
			
			return $arrRecord;
		}
		
	}
?>