<?php
	
	class invoice extends model {
		
		
		/* get last invoice number */
		public static function last_invoice_number() {
			
			$last_invoice_number = 0;
			
			$query = " SELECT `invoice_number` FROM `invoice` ORDER BY `uid` DESC LIMIT 0,1 ";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				$row = $result->fetch_assoc();
				$last_invoice_number = $row['invoice_number'];
			}
			return $last_invoice_number;
			
		}
		
		
		/* validation of invoice data when it added */
		public static function validate_invoice_data($p = array(), $mode = 'add')	{
			$arrError = array();
			
			/* add validation */
			if(isset($mode) && !empty($mode) && $mode == 'add') {
				
				if(!isset($p['buyer_info']) || (isset($p['buyer_info']) && empty($p['buyer_info']))) {
					$arrError['buyer_info'] = 'Please enter buyer information.';
				}
				
				if(!isset($p['invoice_number']) || (isset($p['invoice_number']) && empty($p['invoice_number']))) {
					$arrError['invoice_number'] = 'Please enter invoice number.';
				}
				
				if(!isset($p['bill_to']) || (isset($p['bill_to']) && empty($p['bill_to']))) {
					$arrError['bill_to'] = 'Please enter recipient address.';
				} else if (!filter_var($p['bill_to'], FILTER_VALIDATE_EMAIL)) {
					$arrError['bill_to'] = 'Please enter valid recipient address.';
				}
				
				if(!isset($p['invoive_date']) || (isset($p['invoive_date']) && empty($p['invoive_date']))) {
					$arrError['invoive_date'] = 'Please enter date.';
				}
				
				if(!isset($p['invoive_date']) || (isset($p['invoive_date']) && empty($p['invoive_date']))) {
					$arrError['invoive_date'] = 'Please enter date.';
				}
				
				/* for multiple */
				if(isset($p['description']) && is_array($p['description']) && count($p['description'])) {
					$is_any_error = true;
					$is_any_error_dis = false;
					foreach($p['description'] as $index => $val) {
						
						if(!empty($val) &&  (isset($p['quantity'][$index]) && is_numeric($p['quantity'][$index]) && $p['quantity'][$index] >0) && (isset($p['price'][$index]) && is_numeric($p['price'][$index]) && $p['price'][$index] >0) && (isset($p['amount'][$index]) && is_numeric($p['amount'][$index]) && $p['amount'][$index] >0) ) {
							$is_any_error = false;
						}
					}
					
					if(isset($is_any_error) && $is_any_error == true) {
						$arrError['multiple'] = 'Please enter atleat one item details or valid details.';
					}
					
					
					
					
				}
				
			} /* end mode */
			
			
			return $arrError;
			
		}
		
		
		/* Count Invoice  */
		public static function get_total_count()	{
			$count = 0;
			
			$query = " SELECT count(uid) AS total FROM `invoice` ";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				$row = $result->fetch_assoc();
				$count = $row['total'];
			}
			return $count;
		}
		
		
		/* Get total invoices */
		public static function get_all_record($limit)	{
			
			$arrRecord = array();
			$query ="SELECT * FROM `invoice` LIMIT $limit";
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				while($row = $result->fetch_assoc()){
					 $arrRecord[] = $row;
				}
			}
			return $arrRecord;
		
		}
		
		/* Count Invoice  */
		public static function get_total_revenue($Sdate,$Edate)	{
			$Total = 0;
			if($Sdate != '' && $Edate != ''){
				$query = " SELECT SUM(final_total) AS total FROM `invoice` WHERE `created_date` BETWEEN '".$Sdate."' AND '".$Edate."' ";
			} else {
				$query = " SELECT SUM(final_total) AS total FROM `invoice` ";	
			}			
			$result = db::query( $query );
			if( $result && $result->num_rows ) {
				$row = $result->fetch_assoc();
				$Total = $row['total'];
			}
			return $Total;
		}
		public static function get_Total_Receipts_revenue()	{
			$Total = 0;
			
			$query = " SELECT SUM(final_total) AS total FROM `invoice` ";	
		    $result = db::query( $query );
				if( $result && $result->num_rows ) {
				$row = $result->fetch_assoc();
				$Total = $row['total'];
			}
			return $Total;
		}
		
	}
	

?>